Bug 1977202 - CVE-2021-22915 nextcloud: lack of inclusion of IPv6 subnets in rate-limiting considerations allows brute force attacks [fedora-all]
Summary: CVE-2021-22915 nextcloud: lack of inclusion of IPv6 subnets in rate-limiting ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nextcloud
Version: 34
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Christopher Engelhard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2021-22915
TreeView+ depends on / blocked
 
Reported: 2021-06-29 08:04 UTC by Marian Rehak
Modified: 2021-07-16 00:22 UTC (History)
2 users (show)

Fixed In Version: nextcloud-19.0.12-1.fc33 nextcloud-nextcloud_19-3320210630133545.601d93de nextcloud-nextcloud_20-3320210630133442.601d93de nextcloud-nextcloud_stable-3320210630133028.601d93de nextcloud-nextcloud_19-3420210630133545.058368ca nextcloud-20.0.10-1.fc34
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-09 00:46:08 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Marian Rehak 2021-06-29 08:04:42 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Marian Rehak 2021-06-29 08:04:44 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1977201,1977202

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2021-06-30 18:51:41 UTC
FEDORA-2021-afa7968aeb has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-afa7968aeb

Comment 3 Fedora Update System 2021-06-30 18:51:46 UTC
FEDORA-MODULAR-2021-e727d9327a has been submitted as an update to Fedora 33 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-e727d9327a

Comment 4 Fedora Update System 2021-06-30 18:51:50 UTC
FEDORA-MODULAR-2021-8478b0e630 has been submitted as an update to Fedora 34 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-8478b0e630

Comment 5 Fedora Update System 2021-06-30 18:51:55 UTC
FEDORA-EPEL-MODULAR-2021-67b2caafec has been submitted as an update to Fedora Epel 8 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-MODULAR-2021-67b2caafec

Comment 6 Fedora Update System 2021-06-30 18:54:40 UTC
FEDORA-MODULAR-2021-872921fbec has been submitted as an update to Fedora 33 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-872921fbec

Comment 7 Fedora Update System 2021-06-30 18:54:48 UTC
FEDORA-MODULAR-2021-7ec13e1ed3 has been submitted as an update to Fedora 34 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-7ec13e1ed3

Comment 8 Fedora Update System 2021-06-30 18:54:55 UTC
FEDORA-2021-eac0e52f88 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-eac0e52f88

Comment 9 Fedora Update System 2021-06-30 19:46:24 UTC
FEDORA-MODULAR-2021-c8ef31abe2 has been submitted as an update to Fedora 34 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-c8ef31abe2

Comment 10 Fedora Update System 2021-06-30 19:46:25 UTC
FEDORA-EPEL-MODULAR-2021-336bd8af0e has been submitted as an update to Fedora Epel 8 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-MODULAR-2021-336bd8af0e

Comment 11 Fedora Update System 2021-06-30 19:46:30 UTC
FEDORA-MODULAR-2021-ce1106e638 has been submitted as an update to Fedora 33 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-ce1106e638

Comment 12 Fedora Update System 2021-07-01 01:04:40 UTC
FEDORA-2021-afa7968aeb has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-afa7968aeb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-afa7968aeb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-07-01 01:18:39 UTC
FEDORA-2021-eac0e52f88 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-eac0e52f88`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-eac0e52f88

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-07-01 01:26:31 UTC
FEDORA-MODULAR-2021-e727d9327a has been pushed to the Fedora 33 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-e727d9327a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-07-01 01:26:42 UTC
FEDORA-MODULAR-2021-872921fbec has been pushed to the Fedora 33 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-872921fbec

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2021-07-01 01:26:48 UTC
FEDORA-MODULAR-2021-ce1106e638 has been pushed to the Fedora 33 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-ce1106e638

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2021-07-01 01:27:18 UTC
FEDORA-MODULAR-2021-8478b0e630 has been pushed to the Fedora 34 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-8478b0e630

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2021-07-01 01:27:29 UTC
FEDORA-MODULAR-2021-7ec13e1ed3 has been pushed to the Fedora 34 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-7ec13e1ed3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2021-07-01 01:27:35 UTC
FEDORA-MODULAR-2021-c8ef31abe2 has been pushed to the Fedora 34 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-c8ef31abe2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2021-07-01 01:30:13 UTC
FEDORA-EPEL-MODULAR-2021-67b2caafec has been pushed to the Fedora Epel 8 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-MODULAR-2021-67b2caafec

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2021-07-01 01:30:19 UTC
FEDORA-EPEL-MODULAR-2021-336bd8af0e has been pushed to the Fedora Epel 8 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-MODULAR-2021-336bd8af0e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 22 Fedora Update System 2021-07-09 00:46:08 UTC
FEDORA-2021-afa7968aeb has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Fedora Update System 2021-07-09 00:49:22 UTC
FEDORA-MODULAR-2021-e727d9327a has been pushed to the Fedora 33 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 24 Fedora Update System 2021-07-09 00:50:07 UTC
FEDORA-MODULAR-2021-872921fbec has been pushed to the Fedora 33 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 25 Fedora Update System 2021-07-09 00:50:14 UTC
FEDORA-MODULAR-2021-ce1106e638 has been pushed to the Fedora 33 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 26 Fedora Update System 2021-07-09 01:01:14 UTC
FEDORA-MODULAR-2021-8478b0e630 has been pushed to the Fedora 34 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 27 Fedora Update System 2021-07-09 01:01:25 UTC
FEDORA-MODULAR-2021-7ec13e1ed3 has been pushed to the Fedora 34 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 28 Fedora Update System 2021-07-09 01:01:31 UTC
FEDORA-MODULAR-2021-c8ef31abe2 has been pushed to the Fedora 34 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 29 Fedora Update System 2021-07-09 01:02:54 UTC
FEDORA-2021-eac0e52f88 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 30 Fedora Update System 2021-07-16 00:22:21 UTC
FEDORA-EPEL-MODULAR-2021-67b2caafec has been pushed to the Fedora Epel 8 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 31 Fedora Update System 2021-07-16 00:22:27 UTC
FEDORA-EPEL-MODULAR-2021-336bd8af0e has been pushed to the Fedora Epel 8 Modular stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.